Skip to main content
GET
/
v2
/
status_pages
ListStatusPages
curl --request GET \
  --url https://api.incident.io/v2/status_pages
{
  "pagination_meta": {
    "after": "01FCNDV6P870EA6S7TK1DSYDG0",
    "page_size": 25
  },
  "status_pages": [
    {
      "description": "This status page is our public status page.",
      "id": "01FCNDV6P870EA6S7TK1DSYDG0",
      "name": "Our public status page",
      "public_url": "https://statuspage.incident.io/our-public-status-page"
    }
  ]
}

Query Parameters

page_size
integer<int64>
default:25

Integer number of records to return

Required range: x <= 250
Example:

25

after
string

An record's ID. This endpoint will return a list of records after this ID in relation to the API response order.

Example:

"01FDAG4SAP5TYPT98WGR2N7W91"

Response

200 - application/json

OK response.

pagination_meta
object
required
Example:
{
"after": "01FCNDV6P870EA6S7TK1DSYDG0",
"page_size": 25
}
status_pages
object[]
required
Example:
[
{
"description": "This status page is our public status page.",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "Our public status page",
"public_url": "https://statuspage.incident.io/our-public-status-page"
}
]